summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBirte Kristina Friesel <derf@finalrewind.org>2025-02-01 13:52:17 +0100
committerBirte Kristina Friesel <derf@finalrewind.org>2025-02-01 13:52:17 +0100
commit5e2d5e12ad2c1533bcb4b5cb267d8ac288aca5d1 (patch)
tree381c4a44dc4fd553f16c273b3932da38962a899d
parenta5b392d6866557bc0dffc948d804f21a7543aa21 (diff)
Treat invalid MOTs as error
-rwxr-xr-xbin/dbris-m3
1 files changed, 2 insertions, 1 deletions
diff --git a/bin/dbris-m b/bin/dbris-m
index ef3325b..69aa967 100755
--- a/bin/dbris-m
+++ b/bin/dbris-m
@@ -176,12 +176,13 @@ if ($mots) {
if ( not $known_mot{$mot} ) {
$found_unknown = 1;
say STDERR
-"-m / --modes-of-transit: skipping unknown mode of transit '$mot'";
+ "-m / --modes-of-transit: unknown mode of transit '$mot'";
}
}
if ($found_unknown) {
say STDERR 'supported modes of transit are: '
. join( q{, }, sort keys %known_mot );
+ exit 1;
}
$opt{modes_of_transit} = [ grep { $known_mot{$_} } @mots ];
}